#
# spec file for package setserial (Version 2.17)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           setserial
Version:        2.17
Release:        593.2
Provides:       util:/sbin/setserial
PreReq:         %insserv_prereq
Requires:       /sbin/isserial
Autoreqprov:    on
Group:          Hardware/Other
License:        GPL
URL:            http://setserial.sourceforge.net
Summary:        A utility for configuring serial ports
Source0:        ftp://tsx-11.mit.edu/pub/linux/sources/sbin/setserial-%{version}.tar.bz2
Source1:        setserial.init
Patch0:         %{name}-%{version}-autoconf.diff
Patch1:         %{name}-%{version}-error.diff
Patch2:         %{name}-%{version}-prototypes.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Setserial is a basic system utility for displaying or setting serial
port information. Setserial can reveal and allow you to alter the I/O
port and IRQ that a particular serial device is using.



Authors:
--------
    Theodore Ts'o <tytso@mit.edu>

%debug_package
%prep
%setup -q
%patch0
%patch1
%patch2

%build
CFLAGS="$RPM_OPT_FLAGS -Wall" \
	./configure \
	--prefix=%{_prefix} \
	--bindir=/bin \
	--sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir}
make

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p ${RPM_BUILD_ROOT}/bin
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
make install DESTDIR="$RPM_BUILD_ROOT"
install %SOURCE1 ${RPM_BUILD_ROOT}/etc/init.d/setserial
ln -sf /etc/init.d/setserial ${RPM_BUILD_ROOT}%{_sbindir}/rcsetserial

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ifarch %ix86 ia64 alpha x86_64
%{insserv_force_if_yast etc/init.d/setserial}
%else
# do not fail in installation-images
true
%endif

%postun
%ifarch %ix86 ia64 alpha x86_64
%{insserv_cleanup}
%else
# do not fail in installation-images
true
%endif

%files
%defattr(-,root,root)
%doc README setserial.lsm rc.serial
%doc %{_mandir}/man?/*
%config %{_sysconfdir}/init.d/setserial
/bin/*
%{_sbindir}/*

%changelog -n setserial
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 08 2005 - mjancar@suse.cz
- add rcsetserial symlink (#63594)
* Thu Mar 04 2004 - ro@suse.de
- rcscript: remain silent in "stop" case
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Thu Oct 23 2003 - mjancar@suse.cz
- implement status in rcscript
* Wed Sep 10 2003 - mjancar@suse.cz
- don't try to setup nonexistent serial ports in rcscript (#30361)
- fix missing function prototypes
* Fri Sep 05 2003 - mjancar@suse.cz
- return 1 on error (#30152)
* Sat Mar 15 2003 - olh@suse.de
- run post script on all archs, dummy script for some archs
  change logic to 'run if needed'
* Wed Aug 14 2002 - nadvornik@suse.cz
- added PreReq: %%insserv_prereq [bug #17698]
* Thu Jul 11 2002 - nadvornik@suse.cz
- renamed init script to setserial
- do not source /etc/rc.config
- stop and status return correct value
* Thu Jun 13 2002 - ro@suse.de
- use new macro for insserv
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Wed Feb 14 2001 - kukuk@suse.de
- Add init.d/serial script moved from aaa_base, fix setserial
  location and output messages [Bug #5420]
* Sat Oct 21 2000 - kukuk@suse.de
- Fix typo in spec file
* Fri Oct 20 2000 - kukuk@suse.de
- Initial version, split from util package
